object VideoOptionsDialog: TVideoOptionsDialog
  Left = 189
  Top = 215
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'Video Options'
  ClientHeight = 391
  ClientWidth = 414
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  FormStyle = fsStayOnTop
  OldCreateOrder = False
  Position = poDefaultPosOnly
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object orientationGroup: TRadioGroup
    Left = 8
    Top = 192
    Width = 113
    Height = 81
    Caption = ' Orientation '
    ItemIndex = 0
    Items.Strings = (
      'Normal'
      'Rotated Right'
      'Upside Down'
      'Rotated Left')
    TabOrder = 0
    Visible = False
    OnClick = changeOrientation
  end
  object curveGroup: TGroupBox
    Left = 128
    Top = 8
    Width = 281
    Height = 377
    Caption = ' Color Callibration [custom curve] '
    TabOrder = 1
    object lParam1: TLabel
      Left = 16
      Top = 336
      Width = 113
      Height = 13
      Alignment = taCenter
      AutoSize = False
      Caption = 'Darkness'
    end
    object bResetCurve: TButton
      Left = 200
      Top = 16
      Width = 73
      Height = 21
      Caption = 'Reset'
      TabOrder = 0
      OnClick = ResetCurve
    end
    object bLoadCurve: TButton
      Left = 8
      Top = 16
      Width = 89
      Height = 21
      Caption = 'Load...'
      TabOrder = 1
      OnClick = LoadCurve
    end
    object bSaveCurveAs: TButton
      Left = 104
      Top = 16
      Width = 89
      Height = 21
      Caption = 'Save As...'
      TabOrder = 2
      OnClick = SaveCurve
    end
    object curveSelect: TTabControl
      Left = 8
      Top = 44
      Width = 265
      Height = 285
      TabOrder = 3
      TabPosition = tpBottom
      Tabs.Strings = (
        'View Curves'
        'Edit Red'
        'Edit Green'
        'Edit Blue')
      TabIndex = 0
      object curve: TImage
        Left = 4
        Top = 4
        Width = 256
        Height = 256
        OnMouseDown = curveMouseClick
        OnMouseMove = curveMouseMove
      end
    end
    object param1: TTrackBar
      Left = 8
      Top = 352
      Width = 128
      Height = 17
      Max = 100
      Min = 5
      Orientation = trHorizontal
      Frequency = 6
      Position = 20
      SelEnd = 0
      SelStart = 0
      TabOrder = 4
      ThumbLength = 10
      TickMarks = tmBottomRight
      TickStyle = tsAuto
      OnChange = ParametricGeneration
    end
  end
  object effectsGroup: TGroupBox
    Left = 8
    Top = 96
    Width = 113
    Height = 65
    Caption = ' Special FX '
    TabOrder = 2
    object fxShowGrid: TCheckBox
      Left = 8
      Top = 40
      Width = 81
      Height = 17
      Caption = 'Show Grid'
      TabOrder = 0
      OnClick = toggleShowGrid
    end
    object fxSplitRGB: TCheckBox
      Left = 8
      Top = 16
      Width = 81
      Height = 17
      Caption = 'Split RGB'
      TabOrder = 1
      OnClick = toggleSplitRGB
    end
  end
  object syncGroup: TGroupBox
    Left = 8
    Top = 8
    Width = 113
    Height = 81
    Caption = ' Synchronization '
    TabOrder = 3
    object lPercentIdeal: TLabel
      Left = 68
      Top = 52
      Width = 33
      Height = 13
      Caption = '% ideal'
      Enabled = False
    end
    object doFramerateLimit: TCheckBox
      Left = 8
      Top = 24
      Width = 89
      Height = 17
      Caption = 'Limit framerate'
      TabOrder = 0
      OnClick = toggleFramerateLimit
    end
    object percentIdeal: TSpinEdit
      Left = 8
      Top = 48
      Width = 49
      Height = 22
      MaxValue = 1000
      MinValue = 10
      TabOrder = 1
      Value = 100
      OnChange = percentIdealChange
    end
  end
  object screenSizeGroup: TGroupBox
    Left = 8
    Top = 280
    Width = 113
    Height = 105
    Caption = ' Screen Size '
    TabOrder = 4
    Visible = False
    object screenSizes: TListBox
      Left = 8
      Top = 16
      Width = 97
      Height = 57
      ItemHeight = 13
      Items.Strings = (
        '240x160'
        '480x320'
        '760x480'
        '........')
      TabOrder = 0
    end
    object switchVideoMode: TButton
      Left = 8
      Top = 80
      Width = 97
      Height = 17
      Caption = 'Apply'
      TabOrder = 1
    end
  end
  object bResetSize: TButton
    Left = 8
    Top = 168
    Width = 113
    Height = 21
    Caption = 'Reset Screen Size'
    TabOrder = 5
    OnClick = bResetSizeClick
  end
  object openDialog: TOpenDialog
    DefaultExt = '*.rmp'
    Filter = 'Curve Profiles (*.rmp)|*.rmp|All Files|*.*'
    Left = 344
    Top = 8
  end
  object saveDialog: TSaveDialog
    DefaultExt = '*.rmp'
    Filter = 'Curve Profiles (*.rmp)|*.rmp|All Files|*.*'
    Left = 376
    Top = 8
  end
end
