//////////////////////////////////////////////////////////////////////
//                                                                  //
// jdevSplashScreen.pas: Splash screen                              //
//   Displays the MVM license agreement.                            //
//                                                                  //
// The contents of this file are subject to the Bottled Light       //
// Public License Version 1.0 (the "License"); you may not use this //
// file except in compliance with the License. You may obtain a     //
// copy of the License at http://www.bottledlight.com/BLPL/         //
//                                                                  //
// Software distributed under the License is distributed on an      //
// "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or   //
// implied. See the License for the specific language governing     //
// rights and limitations under the License.                        //
//                                                                  //
// The Original Code is the Mappy VM User Interface, released       //
// April 1st, 2003. The Initial Developer of the Original Code is   //
// Bottled Light, Inc. Portions created by Bottled Light, Inc. are  //
// Copyright (C) 2001-2003 Bottled Light, Inc. All Rights Reserved. //
//                                                                  //
// Author(s):                                                       //
//   Michael Noland (joat), michael@bottledlight.com                //
//                                                                  //
// Changelog:                                                       //
//   1.0: First public release (April 1st, 2003)                    //
//                                                                  //
// Notes:                                                           //
//   fixme,todo,findme,note: should I change the license agreement? //
//                                                                  //
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
unit jdevSplashScreen; ///////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
interface ////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, nexus;

//////////////////////////////////////////////////////////////////////

type
  TjdevSplash = class(TForm)
    bAccept: TButton;
    bDeny: TButton;
    Label1: TLabel;
    Image1: TImage;
    Memo1: TMemo;
    app: TLabel;
    company: TLabel;
    procedure bAcceptClick(Sender: TObject);
    procedure bDenyClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

//////////////////////////////////////////////////////////////////////

var
  jdevSplash: TjdevSplash;

//////////////////////////////////////////////////////////////////////
implementation ///////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

{$R *.DFM}

//////////////////////////////////////////////////////////////////////

procedure TjdevSplash.bAcceptClick(Sender: TObject);
begin
  Close;
end;

//////////////////////////////////////////////////////////////////////

procedure TjdevSplash.bDenyClick(Sender: TObject);
begin
  Application.Terminate;
end;

//////////////////////////////////////////////////////////////////////

procedure TjdevSplash.FormShow(Sender: TObject);
begin
//
end;

//////////////////////////////////////////////////////////////////////

procedure TjdevSplash.FormCreate(Sender: TObject);
begin
  HelpContext := LinkHelp('license.html');
end;

//////////////////////////////////////////////////////////////////////

end.

//////////////////////////////////////////////////////////////////////
