object DebugOptionsDialog: TDebugOptionsDialog
  Left = 159
  Top = 150
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'Debug Options'
  ClientHeight = 216
  ClientWidth = 275
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  FormStyle = fsStayOnTop
  OldCreateOrder = False
  Position = poDefaultPosOnly
  OnCreate = FormCreate
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object loggingGroup: TGroupBox
    Left = 8
    Top = 128
    Width = 257
    Height = 81
    Caption = ' Logging Preferences '
    TabOrder = 0
    object loggingOptions: TCheckListBox
      Left = 12
      Top = 20
      Width = 137
      Height = 57
      OnClickCheck = changeLoggingOptions
      BorderStyle = bsNone
      Color = clBtnFace
      ItemHeight = 13
      Items.Strings = (
        'Log general information'
        'Log DMA transfers'
        'Log BIOS calls'
        'Log register writes')
      TabOrder = 0
    end
    object bClearConsole: TButton
      Left = 168
      Top = 16
      Width = 81
      Height = 25
      Caption = 'Clear Console'
      TabOrder = 1
      OnClick = clearTheConsole
    end
  end
  object biosGroup: TGroupBox
    Left = 8
    Top = 8
    Width = 261
    Height = 113
    Caption = ' BIOS Settings '
    TabOrder = 1
    object eBiosLocation: TEdit
      Left = 16
      Top = 40
      Width = 205
      Height = 21
      Hint = 'Location of the BIOS image to use'
      Color = clBtnFace
      ReadOnly = True
      TabOrder = 0
      Text = 'eBiosLocation'
    end
    object biosBrowse: TButton
      Left = 224
      Top = 40
      Width = 25
      Height = 21
      Hint = 'Browse for a new BIOS image'
      Caption = '...'
      TabOrder = 1
      OnClick = ChooseNewBIOS
    end
    object cAutopatchHeader: TCheckBox
      Left = 12
      Top = 72
      Width = 113
      Height = 17
      Hint = 'Automatically patch the header when loading a new image'
      Caption = 'Auto-patch header'
      TabOrder = 2
      OnClick = ChangeOptions
    end
    object cUseFastLoader: TCheckBox
      Left = 12
      Top = 88
      Width = 97
      Height = 17
      Caption = 'Use fast loader'
      TabOrder = 3
      OnClick = ChangeOptions
    end
    object cInternalBIOS: TCheckBox
      Left = 12
      Top = 20
      Width = 113
      Height = 17
      Caption = 'Use internal BIOS'
      TabOrder = 4
      OnClick = ToggleInternalBIOS
    end
    object bReload: TButton
      Left = 176
      Top = 80
      Width = 75
      Height = 21
      Caption = 'Reload'
      TabOrder = 5
      OnClick = ReloadBIOS
    end
  end
  object openDialog: TOpenDialog
    Filter = 'BIOS Files|*.rom;*.bios;*.bin|All Files|*.*'
    Left = 216
    Top = 24
  end
end
